{% extends 'base.html.twig' %}

{% block body %}
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm">

                {% if avatarFileName is defined %}
                    <img src="{{ asset('uploads/images/' ~ avatarFileName) }}" class="img-thumbnail rounded float-left">
                {% endif %}

            </div>
            <div class="col-sm">

                {{ form_start(profileForm) }}
                <div id=nickname" class="form-group">
                    {{ form_label(profileForm.nickname, 'Nickname: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.nickname, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.nickname, {'attr': {'class': 'form-control'}}) }}
                </div>
                <div id=firstname" class="form-group">
                    {{ form_label(profileForm.firstname, 'Firstname: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.firstname, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.firstname, {'attr': {'class': 'form-control'}}) }}
                </div>

                <div id=name" class="form-group">
                    {{ form_label(profileForm.name, 'Name: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.name, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.name, {'attr': {'class': 'form-control'}}) }}
                </div>

                <div id=phoneNumber" class="form-group">
                    {{ form_label(profileForm.phoneNumber, 'Phone number: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.phoneNumber, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.phoneNumber, {'attr': {'class': 'form-control'}}) }}
                </div>

                <div id=mail" class="form-group">
                    {{ form_label(profileForm.mail, 'Email: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.mail, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.mail, {'attr': {'class': 'form-control'}}) }}
                </div>


                <div id=passwords">
                    <div id=oldPassword" class="form-group">
                        {{ form_label(profileForm.oldPassword, 'Current Password: ', {'attr': {'class': 'form-control'}}) }}
                        {{ form_errors(profileForm.oldPassword, {'attr': {'class': 'form-control'}}) }}
                        {{ form_widget(profileForm.oldPassword, {'attr': {'class': 'form-control'}}) }}
                    </div>
                    <div id=newPassword1" class="form-group">
                        {{ form_label(profileForm.newPassword.first, 'New Password: ', {'attr': {'class': 'form-control'}}) }}
                        {{ form_errors(profileForm.newPassword.first, {'attr': {'class': 'form-control'}}) }}
                        {{ form_widget(profileForm.newPassword.first, {'attr': {'class': 'form-control'}}) }}
                    </div>
                    <div id=newPassword2" class="form-group">
                        {{ form_label(profileForm.newPassword.second, 'Verify your new password: ', {'attr': {'class': 'form-control'}}) }}
                        {{ form_errors(profileForm.newPassword.second, {'attr': {'class': 'form-control'}}) }}
                        {{ form_widget(profileForm.newPassword.second, {'attr': {'class': 'form-control'}}) }}
                    </div>
                </div>

                <div id=site" class="form-group">
                    {{ form_label(profileForm.site, 'Site: ', {'attr': {'class': 'form-control'}}) }}
                    {{ form_errors(profileForm.site, {'attr': {'class': 'form-control'}}) }}
                    {{ form_widget(profileForm.site, {'attr': {'class': 'form-control'}}) }}

                </div>

                <div id=avatar" class="form-group">
                    {{ form_label(profileForm.avatar) }}
                    {{ form_errors(profileForm.avatar) }}
                    {{ form_widget(profileForm.avatar) }}
                </div>


                <div id=submit" class="form-group">
                    {{ form_widget(profileForm.save, {'attr': {'class': 'btn btn-primary'}}) }}

                </div>
                {{ form_end(profileForm) }}
            </div>

            <div class="col-sm"></div>
        </div>
    </div>




{% endblock %}

